> ## Documentation Index
> Fetch the complete documentation index at: https://docs.switchagents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> These docs moved from docs.flintai.dev to docs.switchagents.ai. Use docs.switchagents.ai for every link and request.
> To search these docs from an AI tool, connect the MCP server at https://docs.switchagents.ai/mcp. The page index is at https://docs.switchagents.ai/llms.txt.

# Get Agent Framework snippets

> Provide available snippets for agent framework integrations across supported languages



## OpenAPI

````yaml /switch-trust/api-reference/openapi.json get /sparrow/agent-frameworks
openapi: 3.0.3
info:
  contact: {}
  description: Switch Trust API
  license:
    name: Switch AI
    url: https://www.sandboxaq.com/legal/eula
  title: Switch Trust API
  version: 1.0.0
servers:
  - description: Flint AI Platform (per-tenant instance)
    url: https://{instance}.flintai.dev/api/v1
    variables:
      instance:
        default: your-instance
        description: Your Flint AI instance subdomain
security: []
paths:
  /sparrow/agent-frameworks:
    get:
      tags:
        - Agent onboarding
      summary: Get Agent Framework snippets
      description: >-
        Provide available snippets for agent framework integrations across
        supported languages
      operationId: GetAgentFrameworkSnippets
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/sparrow.AgentLanguageSnippets'
                type: array
          description: All languages and their snippets
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Internal Server Error
      security:
        - BearerAuth: []
components:
  schemas:
    sparrow.AgentLanguageSnippets:
      properties:
        availableSnippets:
          description: '@Description Available snippets for different frameworks'
          items:
            $ref: '#/components/schemas/sparrow.AgentFrameworkSnippets'
          type: array
        key:
          description: |-
            @Description Key for the programming language
            @Example  "python"
          type: string
        nicename:
          description: |-
            @Description Nice name for the language itself
            @Example  "Python"
          type: string
      type: object
    common.RequestError:
      description: Error responses returned by the API
      properties:
        code:
          example: 400
          type: integer
        message:
          example: Invalid request
          type: string
      required:
        - code
        - message
      type: object
    sparrow.AgentFrameworkSnippets:
      properties:
        codeSnippet:
          description: >-
            @Description Example code snippet for connecting the framework and
            agent monitor
          type: string
        environmentVariables:
          description: >-
            @Description Example environment variables needed for the code
            snippets
          type: string
        installSnippet:
          description: >-
            @Description Snippet for how to install baseline elements for the
            framework

            @Example  "npm install @hoot/monitor langchain @langchain/openai"
          type: string
        key:
          description: |-
            @Description Key for the framework
            @Example  "langchain"
          type: string
        name:
          description: |-
            @Description Name for the framework
            @Example  "Langchain"
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Use this header with a Bearer token to authenticate requests.
      in: header
      name: Authorization
      type: apiKey

````